Jiniu AIJiniu AI
Docs
VideosVolcano native formatAsset libraryAsset

Delete asset

You do not need to call this for every asset when removing a group — DeleteAssetGroup cascades automatically.

POST
/api/material

Authorization

bearerAuth

AuthorizationBearer <token>

Authorization: Bearer

In: header

Query Parameters

Action*string

Fixed value: DeleteAsset

Value in"DeleteAsset"

Request Body

application/json

Id*string

Asset ID

Response Body

application/json

curl -X POST "https://jiniu.ai/api/material?Action=DeleteAsset" \  -H "Content-Type: application/json" \  -d '{    "Id": "asset-xxxx"  }'
{
  "ResponseMetadata": {
    "RequestId": "…",
    "Action": "DeleteAsset"
  },
  "Result": {
    "Deleted": "asset-xxxx"
  }
}